Overview

The IBM ThinkPad EasyEject Utility lets you safely stop before physically ejecting all of your external USB, IEEE 1394 and PC card devices and devices attached to your dock with a single click. This means that you can stop all of the devices in your docking station, in a port replicator, or all of your attached ejectable external devices in the same way.

You can choose which devices are stopped when you click EasyEject. Configuring this feature enables you to stop several devices simultaneously with a single click. This feature is useful when you want to stop your attached devices and go.

Stopping Devices

Configuring EasyEject Utility

Choosing Devices To Stop

Stopping Individual Devices

Other Options

Trademarks and Service Marks


Stopping Devices

Many ejectable USB, IEEE 1394 and PC card devices are designed to be hot swappable or warm swappable. This means that they can be connected to and disconnected from your computer without turning off the computer. You can simply plug in the USB, IEEE 1394 and PC card devices when you want to use them, but when you wish to physically detach one of these devices from your computer, you need to stop the device so that the operating system stops accessing the device.

EasyEject can make detaching multiple devices easier by allowing you to choose several devices to stop, rather than stopping the devices individually.

When you click EasyEject, all of the ejectable devices are stopped, and a window is displayed that shows the status of each device.


Configuring EasyEject Utility

To configure EasyEject, click on the EasyEject icon on your system tray:

Or, click Start -> Programs -> ThinkPad -> ThinkPad Utilities -> EasyEject Utility

When an ejectable device is inserted into your computer, the EasyEject Utility updates to include that device. If you are no longer using the device, you can remove the device from the EasyEject list. To remove the device from the list, right-click on the device name, and then click Remove from list. The device is deleted from the list until the next time the device is inserted.


Choosing Devices To Stop

You can configure EasyEject to stop multiple devices when you click EasyEject. To stop a device when EasyEject is clicked, click on the link in the Action column and choose Stop device. If you prefer not to stop the device, choose Don't stop device.

For each device you have three choices:

Action | Examples
Stop device | USB devices, Network PC cards, Wireless PC cards
Don't stop device | Removable device bay devices
Ask me | Microdrive storage device, USB Memory Key storage device


Stopping Individual Devices

You may want to stop some devices individually without stopping other devices. Most ejectable devices are shown in the EasyEject tray menu. To stop a single device, click on the device name in the EasyEject tray menu.

If you want to change the name of the device as it appears in the EasyEject tray menu, right-click on the device name in the EasyEject Configuration Window, and click Rename.


Other Options

Show EasyEject icon on the taskbar

Use this option to show or not show the EasyEject icon on the system tray. Windows also provides a system tray icon. To remove the Unplug or Eject Hardware icon included with Windows 2000, double-click on the system tray icon, then clear the Show Unplug/Eject icon on the taskbar checkbox.

Notify with a beep when stopping a device

Use this option to beep or not beep when all of the devices are stopped.


Trademarks and Service Marks

The following terms are trademarks or service marks of the IBM Corporation in the United States or other countries:

  • IBM

  • ThinkPad

The following terms are trademarks of other companies:

  • Microsoft : Microsoft Corporation

  • Windows : Microsoft Corporation

  • PCMCIA : Personal Computer Memory Card International Association